Description

Doesn't look too hard to change. In the svideo component they do this for luma:

luma = (84*R+164*G+32*B + 58880)/512    (i.e. 115-255 on dac)

luma (sync) = 0                                             (i.e. 0 on dac during sync periods)

So never using 1-114 on dac...

So... we need to remove the sync stuff from the component (this is done with sync pin instead) then change it to:

luma = (153*R+300*G+58*B)/512 (i.e. 0-255 on dac)

luma(sync) = 0 AND use the sync pin...

Which is an easy change I think. Also we get more luma resolution since we are using values 0-255 on the dac instead of 115-255:-)

(luma = 0.299*R+0.587*G+0.114*B + syncLevel)

Related issues:

Is duplicate of Feature #14: Svideo core for first prototype Closed 04/24/2017

History

#1 - 04/04/2017 08:30 PM - foft

A comment

#2 - 04/11/2017 08:35 PM - foft

- Status changed from New to Resolved

Implemented in test core, probably will need some debugging...

#3 - 04/11/2017 09:46 PM - sadosp

admin wrote:

Doesn't look too hard to change. In the svideo component they do this for luma:

luma = (84*R+164*G+32*B + 58880)/512    (i.e. 115-255 on dac)

luma (sync) = 0                                             (i.e. 0 on dac during sync periods)

So never using 1-114 on dac...

So... we need to remove the sync stuff from the component (this is done with sync pin instead) then change it to:

luma = (153*R+300*G+58*B)/512 (i.e. 0-255 on dac)

luma(sync) = 0 AND use the sync pin...

Which is an easy change I think. Also we get more luma resolution since we are using values 0-255 on the dac instead of 115-255:-)

(luma = 0.299*R+0.587*G+0.114*B + syncLevel)

 \

In all the cases we need to connect the sync pin of dac on a I/O of fpga?

#4 - 05/18/2017 06:58 AM - foft

Received the board and gave this a go. svideo and composite look nice and bright now. However saturation is too low, need to work out how to boost

this without too much impact to brightness.

Also need to work out why its just black and white on Panos' TV!
#5 - 05/30/2017 07:02 PM - foft

- Status changed from Resolved to Closed

Being handled in issue 14

#6 - 05/31/2017 07:05 PM - foft

- Is duplicate of Feature #14: Svideo core for first prototype added
